[gentoo-user-fr] J'ais perdu mais modules Apache 2.2.4-r12

Le
Frenk
Bonjours,

Depuis que j’ai mis à jours mon apache en version 2.2.4-r12 quand je
veux le redémarrer, il me dit qu’il ne trouve plus certain module
nécessaire avec tout apache comme mod_access. :

/etc/init.d/apache2 restart

* Apache2 has detected a syntax error in your configuration files:

apache2: Syntax error on line 242 of /etc/apache2/httpd.conf: Cannot
load /usr/lib/apache2/modules/mod_access.so into server:
/usr/lib/apache2/modules/mod_access.so: cannot open shared object file:
No such file or directory.

Tout comme :

access_module modules/mod_access.so

Auth_module modules/mod_auth.so

Auth_anon_module modules/mod_auth_anon.so

LoadModule env_module modules/mod_env.so

La je ne comprends pas, si vous pouviez m’aider, car en cas de reboot de
ma machine mon apache et hs.

Merci.
--
gentoo-user-fr@gentoo.org mailing list
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Yoann Pannier
Le #7802221
Frenk wrote, On 2007-09-09 15:05 +0200:
apache2: Syntax error on line 242 of /etc/apache2/httpd.conf: Cannot
load /usr/lib/apache2/modules/mod_access.so into server:



http://httpd.apache.org/docs/2.2/upgrading.html

--
Yoann Pannier
--
mailing list
Yoann Pannier
Le #7802211
Yoann Pannier wrote, On 2007-09-09 15:33 +0200:
Frenk wrote, On 2007-09-09 15:05 +0200:
> apache2: Syntax error on line 242 of /etc/apache2/httpd.conf:
> Cannot load /usr/lib/apache2/modules/mod_access.so into server:

http://httpd.apache.org/docs/2.2/upgrading.html



D'autre part, le httpd.conf généré au moment de l'installation
d'apache-2.2 doit faire référence aux bons modules : tu as peut-être
oublié d'intégrer ces modifications via etc-update & co ?

--
Yoann Pannier
--
mailing list
Frenk
Le #7802201
Yoann Pannier a écrit :
Yoann Pannier wrote, On 2007-09-09 15:33 +0200:

Frenk wrote, On 2007-09-09 15:05 +0200:

apache2: Syntax error on line 242 of /etc/apache2/httpd.conf:
Cannot load /usr/lib/apache2/modules/mod_access.so into server:



http://httpd.apache.org/docs/2.2/upgrading.html




D'autre part, le httpd.conf généré au moment de l'installation
d'apache-2.2 doit faire référence aux bons modules : tu as peut-être
oublié d'intégrer ces modifications via etc-update & co ?




Oui je pensser pas que les modification etaits important, et que je re
emerge apache, il me propose pas de mettre à jours httpd.conf.
Merci.
--
mailing list
Yoann Pannier
Le #7802191
Frenk wrote, On 2007-09-09 17:04 +0200:
il me propose pas de mettre à jours httpd.conf.



L'option --noconfmem d'emerge est utile dans ces cas là.

--
Yoann Pannier
--
mailing list
Frenk
Le #7802181
Yoann Pannier a écrit :
Frenk wrote, On 2007-09-09 17:04 +0200:

il me propose pas de mettre à jours httpd.conf.




L'option --noconfmem d'emerge est utile dans ces cas là.





Merci pour l' information, je connaiser pas emerge --noconfmem, mon
apache redémarre mais, jais plein de chose qui fonctionne plus y a une
partie qui est réparer, reste a voir pourquoi mais vhosts fonctionne
plus, et php non plus avec pour paramettre -D PHP, surement du au fait
que quand je mais -D PHP5 j'obtienne :
* Apache2 has detected a syntax error in your configuration files:
apache2: Syntax error on line 176 of /etc/apache2/httpd.conf: Syntax
error on line 4 of /etc/apache2/modules.d/70_mod_php5.conf: API module
structure `php5_module' in file /usr/lib/apache2/modules/libphp5.so is
garbled - perhaps this is not an Apache module DSO?

je vais chercher encore merci. :))


--
mailing list
regis-misc
Le #7802171
Frenk a écrit :

je vais chercher encore merci. :))



Bon j'ai eu le meme soucis que toi ce matin lol

Donc pour régler le probleme il faut faire les modifs du httpd.conf vie
etc-update et tu réemerge php. Apres tous roule.

@+
--
mailing list
Frenk
Le #7802161
regis-misc a écrit :
Frenk a écrit :


je vais chercher encore merci. :))




Bon j'ai eu le meme soucis que toi ce matin lol

Donc pour régler le probleme il faut faire les modifs du httpd.conf vie
etc-update et tu réemerge php. Apres tous roule.

@+



Merci,
Je venais juste de le faire quand j'ai vu ton mail.
Par contre il reste a voir ce qui ce passe sur certain vhost.
Merci encore à vous.
--
mailing list
Yoann Pannier
Le #7802151
Frenk wrote, On 2007-09-09 18:25 +0200:
file /usr/lib/apache2/modules/libphp5.so is garbled - perhaps this is
not an Apache module DSO?



Je n'ai pas bien compris ce que tu as écrit, mais cette erreur signifie
que tu n'as pas ré-installé php après la mise à jour d'apache.

Les modules compilés pour apache-2.0 ne sont pas compatibles avec
apache-2.2 : il faut tous les re-compiler.

--
Yoann Pannier
--
mailing list
regis-misc
Le #7802141
Frenk a écrit :

Je venais juste de le faire quand j'ai vu ton mail.
Par contre il reste a voir ce qui ce passe sur certain vhost.
Merci encore à vous.



J'ai pas eu le temps de creuser mais apparement c'est le directory qui
pose probleme, voila ce que j'ai mis a l'arrache et ça marche :

<Directory /home/httpd/webmailnono>
Options Indexes FollowSymLinks
AllowOverride AuthConfig
Order allow,deny
Allow from all
</Directory>
@+
--
mailing list
Frenk
Le #7802131
Yoann Pannier a écrit :
Frenk wrote, On 2007-09-09 18:25 +0200:

file /usr/lib/apache2/modules/libphp5.so is garbled - perhaps this is
not an Apache module DSO?




Je n'ai pas bien compris ce que tu as écrit, mais cette erreur signifie
que tu n'as pas ré-installé php après la mise à jour d'apache.

Les modules compilés pour apache-2.0 ne sont pas compatibles avec
apache-2.2 : il faut tous les re-compiler.




Désoler pour l'écriture, je fait un "revdep-rebuild apache "comme ça je
serait sur merci.
--
mailing list
Publicité
Poster une réponse
Anonyme